<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <groupId>se.kth.md.adaptors.basicexample.client</groupId>
  <artifactId>BasicAdaptorClient</artifactId>
  <version>0.0.1-SNAPSHOT</version>
  <packaging>war</packaging>
  <properties>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    <version.groovy>2.4.7</version.groovy>
    <version.powermock>1.6.5</version.powermock>
    <version.lyo-core>2.1.2</version.lyo-core>
    <version.lyo-server>2.1.0</version.lyo-server>
    <version.lyo.store>0.23.0-SNAPSHOT</version.lyo.store>
    <version.lyo-client>2.1.2</version.lyo-client>
    <version.jena-core>2.10.1</version.jena-core>
    <version.aide.repository>0.13.0-SNAPSHOT</version.aide.repository>
  </properties>
  <dependencies>
    <dependency>
      <groupId>org.eclipse.lyo.oslc4j.core</groupId>
      <artifactId>oslc4j-core</artifactId>
      <version>${version.lyo-core}</version>
      <exclusions>
        <exclusion>
          <groupId>org.slf4j</groupId>
          <artifactId>slf4j-log4j12</artifactId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.mongodb.morphia</groupId>
      <artifactId>morphia</artifactId>
      <version>1.0.1</version>
    </dependency>
    <dependency>
      <groupId>org.eclipse.lyo.core.query</groupId>
      <artifactId>oslc-query</artifactId>
      <version>[1.1,)</version>
      <exclusions>
        <exclusion>
          <groupId>org.slf4j</groupId>
          <artifactId>slf4j-simple</artifactId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.eclipse.lyo.oslc4j.core</groupId>
      <artifactId>oslc4j-jena-provider</artifactId>
      <version>${version.lyo-core}</version>
    </dependency>
    <dependency>
      <groupId>com.google.guava</groupId>
      <artifactId>guava</artifactId>
      <version>19.0</version>
    </dependency>
    <dependency>
      <groupId>org.eclipse.lyo.oslc4j.core</groupId>
      <artifactId>oslc4j-wink</artifactId>
      <version>${version.lyo-core}</version>
    </dependency>
    <dependency>
      <groupId>org.apache.jena</groupId>
      <artifactId>jena-tdb</artifactId>
      <version>1.0.2</version>
    </dependency>
    <dependency>
      <groupId>org.eclipse.lyo.oslc4j.core</groupId>
      <artifactId>oslc4j-json4j-provider</artifactId>
      <version>${version.lyo-core}</version>
    </dependency>
    <!--
    <dependency>
      <groupId>org.eclipse.lyo.server</groupId>
      <artifactId>oauth-core</artifactId>
      <version>${version.lyo-server}</version>
    </dependency>
    <dependency>
      <groupId>org.eclipse.lyo.server</groupId>
      <artifactId>oauth-consumer-store</artifactId>
      <version>${version.lyo-server}</version>
    </dependency>
    <dependency>
      <groupId>org.eclipse.lyo.server</groupId>
      <artifactId>oauth-webapp</artifactId>
      <version>${version.lyo-server}</version>
      <type>war</type>
    </dependency>
    -->

	<dependency>
		<groupId>org.apache.maven.shared</groupId>
		<artifactId>maven-invoker</artifactId>
		<version>2.1.1</version>
	</dependency>

    <dependency>
      <groupId>org.eclipse.lyo.tools</groupId>
      <artifactId>lyo-store</artifactId>
      <version>${version.lyo.store}</version>
    </dependency>

    <dependency>
      <groupId>org.eclipse.lyo.clients</groupId>
      <artifactId>oslc-java-client</artifactId>
      <!--
      <artifactid>oslc-java-client-version_2.1.0</artifactid>
      -->
      <version>${version.lyo-client}</version>
    </dependency>


    <dependency>
      <groupId>org.slf4j</groupId>
      <artifactId>slf4j-api</artifactId>
      <version>1.7.21</version>
    </dependency>
    <dependency>
      <groupId>ch.qos.logback</groupId>
      <artifactId>logback-core</artifactId>
      <version>1.2.1</version>
    </dependency>
    <dependency>
      <groupId>ch.qos.logback</groupId>
      <artifactId>logback-classic</artifactId>
      <version>1.2.1</version>
    </dependency>
    <dependency>
      <groupId>org.glassfish</groupId>
      <artifactId>javax.servlet</artifactId>
      <version>3.1.1</version>
    </dependency>
    <dependency>
      <groupId>javax.servlet</groupId>
      <artifactId>jstl</artifactId>
      <version>1.2</version>
    </dependency>
    <dependency>
      <groupId>se.kth.mmk.md</groupId>
      <artifactId>assume.ifreqthen</artifactId>
      <version>1.0-SNAPSHOT</version>
    </dependency>
    <dependency>
      <groupId>org.apache.jena</groupId>
      <artifactId>jena-core</artifactId>
      <version>${version.jena-core}</version>
    </dependency>
    <!--
    <dependency>
      <groupId>org.apache.jena</groupId>
      <artifactId>jena-iri</artifactId>
      <version>0.9.2</version>
    </dependency>
    -->
    <dependency>
      <groupId>se.kth.md.aide</groupId>
      <artifactId>jena-cache</artifactId>
      <version>1.1.0-SNAPSHOT</version>
    </dependency>

    <dependency>
      <groupId>se.kth.md.aide</groupId>
      <artifactId>repository-jgit</artifactId>
      <version>${version.aide.repository}</version>
    </dependency>

    <dependency>
      <groupId>se.kth.mmk.md</groupId>
      <artifactId>assume.repository-jgit</artifactId>
      <version>1.1.0-SNAPSHOT</version>
    </dependency>
    <dependency>
      <groupId>org.eclipse.lyo.oslc4j.trs.provider</groupId>
      <artifactId>org.eclipse.lyo.oslc4j.trs.provider</artifactId>
      <version>0.0.2-SNAPSHOT</version>
    </dependency>
    <dependency>
      <groupId>org.apache.commons</groupId>
      <artifactId>commons-lang3</artifactId>
      <version>3.4</version>
    </dependency>
    <dependency>
      <groupId>org.mapdb</groupId>
      <artifactId>mapdb</artifactId>
      <version>3.0.0</version>
    </dependency>
    <dependency>
      <groupId>org.codehaus.groovy</groupId>
      <artifactId>groovy-all</artifactId>
      <version>${version.groovy}</version>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>junit</groupId>
      <artifactId>junit</artifactId>
      <version>4.12</version>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>org.hamcrest</groupId>
      <artifactId>hamcrest-all</artifactId>
      <version>1.3</version>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>org.powermock</groupId>
      <artifactId>powermock-module-junit4</artifactId>
      <version>${version.powermock}</version>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>org.powermock</groupId>
      <artifactId>powermock-api-mockito</artifactId>
      <version>${version.powermock}</version>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>org.powermock</groupId>
      <artifactId>powermock-classloading-xstream</artifactId>
      <version>${version.powermock}</version>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>javax.inject</groupId>
      <artifactId>javax.inject</artifactId>
      <version>1</version>
    </dependency>
    <dependency>
      <groupId>commons-codec</groupId>
      <artifactId>commons-codec</artifactId>
      <version>1.9</version>
    </dependency>
  </dependencies>
  <repositories>
    <repository>
      <snapshots>
        <enabled>false</enabled>
      </snapshots>
      <id>lyo-releases</id>
      <name>lyo-releases repository</name>
      <url>https://repo.eclipse.org/content/repositories/lyo-releases/</url>
    </repository>
    <repository>
      <releases>
        <enabled>false</enabled>
      </releases>
      <id>lyo-snapshots</id>
      <name>lyo-snapshots repository</name>
      <url>https://repo.eclipse.org/content/repositories/lyo-snapshots/</url>
    </repository>
  </repositories>
  <build>
    <plugins>
      <plugin>
        <groupId>org.eclipse.jetty</groupId>
        <artifactId>jetty-maven-plugin</artifactId>
        <version>9.3.9.v20160517</version>
        <configuration>
          <webAppConfig>
            <contextPath>/BasicAdaptor</contextPath>
          </webAppConfig>
          <!-- Jetty config adds logging -->
          <contextXml>${basedir}/src/main/webapp/WEB-INF/jetty-web.xml</contextXml>
          <!--<jettyConfig>${project.build.directory}/classes/jetty.xml</jettyConfig>-->
          <!-- enable hot deploy -->
          <reload>automatic</reload>
          <scanIntervalSeconds>5</scanIntervalSeconds>
          <scanTargets>
            <scanTarget>WebContent</scanTarget>
          </scanTargets>
          <systemProperties>
            <systemProperty>
              <name>config.dir</name>
              <value>${basedir}/src/test/resources</value>
            </systemProperty>
             
            <systemProperty>
              <name>jetty.logs</name>
              <value>${basedir}/target</value>
            </systemProperty>
             
            <systemProperty>
              <name>jetty.port</name>
              <value>8080</value>
            </systemProperty>
          </systemProperties>
          <stopKey/>
          <stopPort/>
        </configuration>
      </plugin>
      <plugin>
        <!--for the .git of the reqif repo -->
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-resources-plugin</artifactId>
        <version>3.0.0</version>
        <executions>
          <execution>
            <id>default-resources</id>
            <configuration>
              <addDefaultExcludes>false</addDefaultExcludes>
            </configuration>
          </execution>
        </executions>
      </plugin>
      <plugin>
        <!--for groovy tests -->
        <artifactId>maven-compiler-plugin</artifactId>
        <!-- 2.8.0-01 and later require maven-compiler-plugin 3.1 or higher -->
        <version>3.5</version>
        <configuration>
          <compilerId>groovy-eclipse-compiler</compilerId>
          <source>1.8</source>
          <target>1.8</target>
        </configuration>
        <dependencies>
          <dependency>
            <groupId>org.codehaus.groovy</groupId>
            <artifactId>groovy-eclipse-compiler</artifactId>
            <version>2.9.1-01</version>
          </dependency>
          <!-- for 2.8.0-01 and later you must have an explicit dependency on
            groovy-eclipse-batch -->
          <dependency>
            <groupId>org.codehaus.groovy</groupId>
            <artifactId>groovy-eclipse-batch</artifactId>
            <version>2.3.7-01</version>
          </dependency>
        </dependencies>
      </plugin>
      <plugin>
        <!-- override test file extension -->
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-surefire-plugin</artifactId>
        <version>2.19.1</version>
        <configuration>
          <failIfNoTests>true</failIfNoTests>
          <includes>
            <include>**/*Test*.*</include>
          </includes>
			<systemPropertyVariables>
				<projectBasedir>${project.basedir}</projectBasedir>
          </systemPropertyVariables>
        </configuration>
      </plugin>
      <plugin>
        <!--tomcat remote deployment -->
        <groupId>org.apache.tomcat.maven</groupId>
        <artifactId>tomcat7-maven-plugin</artifactId>
        <version>2.2</version>
        <configuration>
          <url>http://git.md.kth.se:8081/manager/text</url>
          <server>kth-tomcat</server>
		  <path>/BasicAdaptor</path>
        </configuration>
      </plugin>
    </plugins>
    <pluginManagement>
      <plugins>
        <!--This plugin's configuration is used to store Eclipse m2e settings
          only. It has no influence on the Maven build itself. -->
        <plugin>
          <groupId>org.eclipse.m2e</groupId>
          <artifactId>lifecycle-mapping</artifactId>
          <version>1.0.0</version>
          <configuration>
            <lifecycleMappingMetadata>
              <pluginExecutions>
                <pluginExecution>
                  <pluginExecutionFilter>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-compiler-plugin</artifactId>
                    <versionRange>[3.5,)</versionRange>
                    <goals>
                      <goal>compile</goal>
                      <goal>testCompile</goal>
                    </goals>
                  </pluginExecutionFilter>
                  <action>
                    <ignore></ignore>
                  </action>
                </pluginExecution>
              </pluginExecutions>
            </lifecycleMappingMetadata>
          </configuration>
        </plugin>
      </plugins>
    </pluginManagement>
  </build>
</project>
